package cz.moneta.test.dsl.mwf;

import cz.moneta.test.harness.support.mwf.Parameter;

import java.util.Map;

public interface MWFHI9Response {

    @Parameter(name = "AACisloOrientacni")
    String aACisloOrientacni();

    @Parameter(name = "AACisloPopisne")
    String aACisloPopisne();

    @Parameter(name = "AAJmeno")
    String aAJmeno();

    @Parameter(name = "AAMesto")
    String aAMesto();

    @Parameter(name = "AAPSC")
    String aapsc();

    @Parameter(name = "AAPrijmeni")
    String aAPrijmeni();

    @Parameter(name = "AAUlice")
    String aAUlice();

    @Parameter(name = "AktualniVyseUrokoveSazby")
    Double aktualniVyseUrokoveSazby();

    @Parameter(name = "CisloInkasnihoUctu")
    String cisloInkasnihoUctu();

    @Parameter(name = "CisloUU")
    String cisloUU();

    @Parameter(name = "DatumDostupnostiInformaci")
    java.util.Date datumDostupnostiInformaci();

    @Parameter(name = "DatumKonceFixace")
    java.util.Date datumKonceFixace();

    @Parameter(name = "DatumPoznamky")
    java.util.Date datumPoznamky();

    @Parameter(name = "DatumPristiSplatky")
    java.util.Date datumPristiSplatky();

    @Parameter(name = "DatumPrvniNazaplaceneSplatky")
    java.util.Date datumPrvniNazaplaceneSplatky();

    @Parameter(name = "DatumUkonceniCerpani")
    java.util.Date datumUkonceniCerpani();

    @Parameter(name = "DatumZahajeniCerpani")
    java.util.Date datumZahajeniCerpani();

    @Parameter(name = "DilciMimoradnaSplatka")
    String dilciMimoradnaSplatka();

    @Parameter(name = "DluznaSplatkaPoSplatnosti")
    Double dluznaSplatkaPoSplatnosti();

    @Parameter(name = "EmailZastupce")
    String emailZastupce();

    @Parameter(name = "FixaceUrokoveSazby")
    String fixaceUrokoveSazby();

    @Parameter(name = "JeGenius")
    String jeGenius();

    @Parameter(name = "Jistina")
    Double jistina();

    @Parameter(name = "KonecnaSplatnostUveru")
    java.util.Date konecnaSplatnostUveru();

    @Parameter(name = "MesicniSplatkaCelkem")
    Double mesicniSplatkaCelkem();

    @Parameter(name = "MobilniTelefon")
    String mobilniTelefon();

    @Parameter(name = "ObjektUveru")
    Long objektUveru();

    @Parameter(name = "PlatnostOffsetuOd")
    java.util.Date platnostOffsetuOd();

    @Parameter(name = "Pojisteni")
    String pojisteni();

    @Parameter(name = "PoplatekCerpani")
    Double poplatekCerpani();

    @Parameter(name = "PoplatekMimoradnaSplatka")
    Double poplatekMimoradnaSplatka();

    @Parameter(name = "PoplatekPotvrzeniUroku")
    Double poplatekPotvrzeniUroku();

    @Parameter(name = "PoplatekVedeniUctu")
    Double poplatekVedeniUctu();

    @Parameter(name = "PriznakOdepsanehoUveru")
    String priznakOdepsanehoUveru();

    @Parameter(name = "ProduktID")
    Long produktID();

    @Parameter(name = "PrumernyZustatek")
    Double prumernyZustatek();

    @Parameter(name = "RegCisloHypoteky")
    String regCisloHypoteky();

    @Parameter(name = "SankcniPoplatky")
    Double sankcniPoplatky();

    @Parameter(name = "SchvalenaVyseUveru")
    Double schvalenaVyseUveru();

    @Parameter(name = "SpecifickyDen")
    Long specifickyDen();

    @Parameter(name = "StavHypoteky")
    String stavHypoteky();

    @Parameter(name = "TACisloOrientacni")
    String tACisloOrientacni();

    @Parameter(name = "TACisloPopisne")
    String tACisloPopisne();

    @Parameter(name = "TAJmeno")
    String tAJmeno();

    @Parameter(name = "TAMesto")
    String tAMesto();

    @Parameter(name = "TAPSC")
    String tapsc();

    @Parameter(name = "TAPrijmeni")
    String tAPrijmeni();

    @Parameter(name = "TAUlice")
    String tAUlice();

    @Parameter(name = "Telefon")
    String telefon();

    @Parameter(name = "TypOffsetu")
    String typOffsetu();

    @Parameter(name = "TypOffsetuNext")
    String typOffsetuNext();

    @Parameter(name = "TypUroceni")
    String typUroceni();

    @Parameter(name = "UsporaCelkova")
    Double usporaCelkova();

    @Parameter(name = "UsporaPredchoziMesic")
    Double usporaPredchoziMesic();

    @Parameter(name = "VycerpanaVyseUveru")
    Double vycerpanaVyseUveru();

    @Parameter(name = "VyseNesplaceneJistiny")
    Double vyseNesplaceneJistiny();

    @Parameter(name = "VysePojisteniSchopnostiSplacet")
    Double vysePojisteniSchopnostiSplacet();

    @Parameter(name = "VyseUroku")
    Double vyseUroku();

    @Parameter(name = "VztahKHypotece")
    String vztahKHypotece();

    @Parameter(name = "ZbyvajiciCastkaKCerpani")
    Double zbyvajiciCastkaKCerpani();

    @Parameter(name = "ZkraceniSplatnosti")
    String zkraceniSplatnosti();

}